/*
 Theme Name:   Pensare Digitale
 Description:  #
 Author:       Pensare Digitale
 Author URI:   https://www.panese.it/
 Template:     Divi
 Version:      1.0.0
*/

/* GENERAL
------------------------------------------------------- */

#main-content {
    max-width: 1600px;
    margin: auto;
}

/*** Responsive Styles Tablet And Below ***/
@media all and (max-width: 980px) {
	 .reverse-columns {
        display: flex;
        flex-direction: column-reverse;
    }
}
 
/*** Responsive Styles Smartphone Only ***/
@media all and (max-width: 767px) {
	body {font-size: 18px!important;}
}
 
/*** Responsive Styles Smartphone Portrait ***/
@media all and (max-width: 479px) {
 
}

/* Nascondi la sidebar */
#sidebar {
    display: none;
}

/* TITLE e BODY
------------------------------------------------------- */

h1, h2, h3, h4, h5, h6 {
    font-weight: 100;
}


/* COLUMN
------------------------------------------------------- */

.flexible-column >.et_pb_column {
display: flex;
flex-direction: column;
justify-content: center;
}

.centra-verticale
{
display: flex;
justify-content: center;
align-items: center; /* opzionale, per centrare orizzontalmente */
}


/* BUTTON
------------------------------------------------------- */

.de-inline-buttons .et_pb_button_module_wrapper {
  display: inline-block;
}

/* DIVI SLIDER
------------------------------------------------------- */

/* Disabilita lightbox
.et_pb_gallery_image.landscape a {
    pointer-events: none;
} */

/* GFORM
------------------------------------------------------- */

.gform_heading {
    display: none;
}

.gform_wrapper.gravity-theme .field_sublabel_above .gfield_description {margin-top: 0;
  padding-top: 0px;}

p.gf_progressbar_title {
    color: #000 !important;
}

.gfield select {
  line-height: 45px;
}

.gform-page-footer.gform_page_footer.top_label {
    gap: 20px;
    margin-top: 40px;
}

body .gform_confirmation_wrapper .gform_confirmation_message {
    background: #fff;
    padding: 2em;
    text-align: center;
}

input.text:focus, input.title:focus, input[type=text]:focus, select:focus, textarea:focus, .gfield input:focus, input[type=button]:focus, .gfield [type="url"] {
    border-color: #000;
    color: #000000;
    outline-color: transparent!important;
}

.gfield [type="text"], .gfield [type="email"], .gfield textarea, .gfield select, .gfield [type=tel], .gfield input[type=password], .gfield [type="url"] {
    border-radius: 0px !important;
    min-height: 50px !important;
    box-shadow: none!important;
}

.gfield .ginput_total {
    border-radius: 0px !important;
    min-height: 0px !important;
    box-shadow: none!important;
    font-size: 25px !important;
    font-weight: bold !important;
}

span.ginput_price {
    display: none;
}

.gfield_label.gform-field-label {
    font-weight: bold;
}

.gform-theme--foundation .gform_fields {
    row-gap: 20px;
}

label.gform-field-label.gform-field-label--type-inline.gfield_consent_label {
    color: #000;
}

label.gform-field-label.gform-field-label--type-inline.gfield_consent_label a {
    color: #000;
    text-decoration: underline;
}

input.gform_previous_button {
    background: transparent;
    border-radius: 0px;
    border: 1px solid #000!important;
    color: #000!important;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 18px;
    padding: .3em 1em!important;
    box-shadow: none;
}

input.gform_previous_button:hover {
    background: transparent;
    border-radius: 0px;
    border: 1px solid #303030!important;
    color: #303030!important;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 18px;
    padding: .3em 1em!important;
    box-shadow: none;
}

input#gform_submit_button_1, input.gform_next_button {
    background: #000;
    color: #fff;
    box-shadow: none;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 18px;
    padding: .3em 1em!important;
    border: 1px solid #000;
    border-radius: 0px;
}

input#gform_submit_button_1:hover, input.gform_next_button:hover, input#gform_submit_button_1:focus, input.gform_next_button:focus {
    background: #333;
    color: #fff;
    box-shadow: none;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 18px;
    padding: .3em 1em!important;
    border: 1px solid #303030;
    border-radius: 0px;
}


.ginput_container.ginput_container_website input {
    border: 1px solid #bbbbbb;
}

.ginput_container.ginput_container_website input:focus {
    border: 1px solid #000;
}

input::placeholder, textarea::placeholder, select::placeholder {
    font-size: 17px;
    color: #000 !important;
}

select::-ms-expand {
    display: none; /* nasconde la freccia di IE */
}


.ginput_container.ginput_container_consent {
    display: flex;
    align-items: flex-start;
}

label.gform-field-label.gform-field-label--type-inline.gfield_consent_label {
    font-size: 13px;
    line-height: 15px;
    color: #000 !important;
}

label.gform-field-label.gform-field-label--type-inline.gfield_consent_label a {
    color: #000 !important;
    font-weight: 500;
    text-decoration: underline;
}

label.gform-field-label.gform-field-label--type-inline.gfield_consent_label a:hover {
    text-decoration: underline;
    color: #444 !important;
}


/* CUSTOM FIELD
------------------------------------------------------- */

.sottotitolo-post {
    display: block;
    font-size: 16px;
    margin-top: 5px;
    font-weight: 500;
}

/* PAGE NAVI
------------------------------------------------------- */

.wp-pagenavi {
    clear: both;
    text-align: center;
    padding-top: 30px;
}

.wp-pagenavi a:hover, .wp-pagenavi span.current, .wp-pagenavi a, .wp-pagenavi span {
    border-color: transparent;
}

/* POST GRID
------------------------------------------------------- */

.et_pb_blog_grid .et_pb_image_container img {
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    aspect-ratio: 1 / 1;
}

.et_pb_image_container {
  margin: 0px;
}

.et_pb_post .entry-featured-image-url {
    display: block;
    position: relative;
    margin-bottom: 10px;
}

.et_pb_blog_grid .et_pb_post {
    padding: 14px;
}

.et_pb_gutters1 .et_pb_column .et_pb_blog_grid .column.size-1of1 .et_pb_post:last-child, .et_pb_gutters1 .et_pb_column .et_pb_blog_grid .column.size-1of2 .et_pb_post:last-child, .et_pb_gutters1 .et_pb_column .et_pb_blog_grid .column.size-1of3 .et_pb_post:last-child, .et_pb_gutters1.et_pb_row .et_pb_column .et_pb_blog_grid .column.size-1of1 .et_pb_post:last-child, .et_pb_gutters1.et_pb_row .et_pb_column .et_pb_blog_grid .column.size-1of2 .et_pb_post:last-child, .et_pb_gutters1.et_pb_row .et_pb_column .et_pb_blog_grid .column.size-1of3 .et_pb_post:last-child {
    margin-bottom: 0px;
}

/* DIVI PIXEL POST GRID
------------------------------------------------------- */

/* Fa in modo che le immagini dei post del modulo divi filtrable grid di divi pixel siano alte ratio 1:1 */
.dipi_filterable_grid .dipi_filterable_grid_wrapper.layout_grid .grid .img-container img {
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    aspect-ratio: 1 / 1;
    border: 1px solid #e5e5e5;
}

/* Fa in modo che le immagini degli artisti del modulo divi filtrable grid di divi pixel siano alte ratio 3:4 */
.dipi_filterable_grid.artists .dipi_filterable_grid_wrapper.layout_grid .grid .img-container img {
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    aspect-ratio: 3 / 4;
    border: 1px solid #e5e5e5;
}

/* Disabilita animazione titolo griglie artisti */
.dipi_filterable_grid.artists .dipi-filterable-grid-title {
    transform: translate3d(0px, 0px, 0px) !important;
    transition-duration: 0ms;
    -webkit-animation-name: none !important;
}

.exhibited-artists img {
    width: 100%;
    -o-object-fit: cover;
    object-fit: cover;
    aspect-ratio: 3 / 4;
}


/* HEADER, MENU, FOOTER
------------------------------------------------------- */

.home .et_pb_section_0_tb_footer {
    border-top-width: 0px;
}

.et_pb_menu .et-menu>li {
    padding-left: 7px;
    padding-right: 7px;
}

.et_pb_menu_0_tb_header.et_pb_menu .et-menu-nav li.current-menu-item a {
    text-decoration: underline;
    text-underline-offset: 8px;
    text-decoration-thickness: 1px;
    text-decoration-color: #fff;
}

.et_pb_menu_0_tb_header.et_pb_menu nav>ul>li>a:hover {
    opacity: 0.8!important;
}


/* SINGLE POST ARTICOLI
------------------------------------------------------- */

.single .et_pb_module.et_pb_post_title {
    margin-bottom: 0px;
}

/* Stilizza il titolo */
.et_pb_title_container {
    margin-top: 30px;
}
/* Stilizza il contenuto del post */
.et_pb_module.et_pb_post_content p {
    margin-top: 15px;
}

/* ==========================================================================
   MOBILE MENU STYLES
   ========================================================================== */

/* Impostazioni generali del contenitore del menu mobile (ul#mobile_menu2) questo si può fare direttamente da theme builder */
ul#mobile_menu0, ul#mobile_menu1 {
    /* Imposta il colore di sfondo del menu mobile */
    background-color: #fff!important;
}

/* Stili applicati al contenitore principale del menu mobile (.et_mobile_menu) quando è aperto */
body .mobile_nav.opened .et_mobile_menu {
    display: grid !important;
        align-content: baseline;
        gap: 20px;
        padding-top: 100px !important;
}

/* Stile dei link (<a>) all'interno degli elementi di lista (<li>) del menu mobile */
.et_mobile_menu li a {
    /* Imposta il peso del font */
    font-weight: 500;
    /* Trasforma il testo in maiuscolo */
    text-transform: capitalize;
    /* Imposta la dimensione del font */
    font-size: 25px !important;
    /* Imposta la l'internlinea */
    line-height: 30px;
    /* Imposta il colore del testo*/
    color: #000000!important;
	border-bottom: 0px solid rgba(0, 0, 0, .03);
	padding: 10px 24%;
}

/* Stile dei link (<a>) sub menu del menu mobile */
.et_mobile_menu .sub-menu li a {
    /* Imposta il peso del font a bold (700) */
    font-weight: 700;
    /* Trasforma il testo in maiuscolo */
    text-transform: uppercase;
    /* Imposta la dimensione del font a 25px */
    font-size: 18px!important;
    /* Imposta il colore del testo */
    color: #000000;
}

/* Sfondo (<a>) vove menu genitore */
	.et_mobile_menu .menu-item-has-children>a {
    background-color: transparent;
}

/* Stili per l'icona "hamburger" del menu mobile */

/* Aggiunge un contenuto vuoto (utilizzato per personalizzare l'aspetto) prima dell'icona hamburger */
.et_mobile_nav_menu:before,
#et_mobile_nav_menu:before {
    content: '';
    /* Posiziona l'elemento in modo assoluto all'interno del suo contenitore relativo */
    position: absolute;
    /* Imposta il colore dell'elemento (potrebbe essere un testo o un simbolo) */
    color: #000;
    /* Imposta la dimensione del font dell'elemento */
    font-size: 16px;
}

/* Posizionamento specifico dell'elemento :before per .et_mobile_nav_menu */
.et_mobile_nav_menu:before {
    /* Sposta l'elemento di 40px dal bordo destro */
    right: 40px;
    /* Sposta l'elemento di 5px dal bordo superiore */
    margin-top: 5px;
}

/* Posizionamento specifico dell'elemento :before per #et_mobile_nav_menu */
#et_mobile_nav_menu:before {
    /* Sposta l'elemento di 33px dal bordo destro */
    right: 33px;
    /* Sposta l'elemento di 30px dal bordo inferiore */
    bottom: 30px;
}

/* Modifica l'aspetto dell'icona hamburger quando il menu mobile è aperto */
.mobile_nav.opened .mobile_menu_bar:before {
    /* Cambia il contenuto dell'elemento :before in un carattere specifico ('\4d' è spesso usato per una "X") */
    content: '\4d';
    /* Imposta il colore dell'icona a nero */
    color: #000 !important;
}

/* Impostazioni di layout e dimensioni del menu mobile */

/* Stili applicati al contenitore principale del menu mobile (.et_mobile_menu) */
.et_mobile_menu {
    /* Rimuove il bordo superiore predefinito */
    border-top: 0;
    /* Imposta la larghezza minima al 100% della viewport (larghezza della finestra del browser) */
    min-width: 100vw;
    /* Sposta il menu di -10vw a sinistra (potrebbe essere per coprire completamente lo schermo) */
    margin-left: -10vw;
    /* Imposta l'altezza minima al 100% della viewport height */
    min-height: 100vh !important;
    /* Imposta l'altezza minima disponibile (utile per alcuni browser mobile) */
    min-height: -webkit-fill-available;
    /* Rimuove il padding superiore predefinito */
    padding-top: 0px !important;
}


/* Allinea il testo degli elementi di lista del menu mobile al centro */
.et_mobile_menu li {
    text-align: center !important;
}

/* Rimuove il padding a sinistra per i sottomenu all'interno del menu mobile */
.et_mobile_menu li li,
.et_mobile_menu li ul {
    padding-left: 0 !important;
}

/* Forza la visualizzazione a blocco del menu mobile quando è aperto (potrebbe sovrascrivere animazioni) */
.mobile_nav.opened .et_mobile_menu {
    display: block !important;
}

/* Altre modifiche specifiche per la visualizzazione del menu */

/* Applica un padding del 5% e posiziona il menu mobile leggermente in alto */
.et_pb_menu .et_mobile_menu {
    top: -30px;
    padding: 5%;
}

/* Imposta un valore di z-index molto alto per assicurare che la barra del menu mobile sia sempre sopra gli altri elementi */
span.mobile_menu_bar {
    z-index: 99999;
}

.et_pb_menu__logo-wrap {
    z-index: 999999;
}


/* ==========================================================================
   STILE SELETTORE MENU WPML
   ========================================================================== */

/* Desktop: in alto a destra */
@media (min-width: 981px) {
        #custom-language-switcher {
        position: absolute;
        top: 10px;
        right: 10px;
        z-index: 9999;
        width: 90px;
        font-size: 13px;
		color: #000;
    }
	.wpml-ls-legacy-dropdown-click .wpml-ls-current-language:hover>a, .wpml-ls-legacy-dropdown-click a:focus, .wpml-ls-legacy-dropdown-click a:hover {
    color: #000;
    background: #ffffff;
}
	.wpml-ls-legacy-dropdown-click .wpml-ls-sub-menu {
    border-top: 0px solid #cdcdcd;
}
	li.mobile-language-switcher {
    display: none !important;
}
}

/* Mobile: dentro il menu, in basso a destra */
@media (max-width: 980px) {
#custom-language-switcher {
        display:none
    }
}

@media (max-width: 980px) {
.wpml-ls-legacy-dropdown-click a {
    border: 0px solid #cdcdcd;
}
.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle {
    position: relative;
    padding: 10px 5%;
}
	.wpml-ls-legacy-dropdown-click a.wpml-ls-item-toggle:after {
		display:none;
	}
	
	.wpml-ls-legacy-dropdown-click {
    width: 100%;
    max-width: 100%;
}
	.wpml-ls-legacy-dropdown-click .wpml-ls-sub-menu a {
    border-width: 0px;
}
	.wpml-ls-legacy-dropdown-click .wpml-ls-sub-menu {
    border-top: 0px solid #cdcdcd;
}
body .wpml-ls-legacy-dropdown-click a {
    font-weight: 500 !important;
    text-transform: uppercase;
    font-size: 20px !important;
}
	li.mobile-language-switcher:before {
    content: '';
    border-top: 1px solid #000;
    width: 50%;
    display: block;
    margin: 20px auto;
    padding-bottom: 10px;
}
}